Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class LocalFileETD

    java.lang.Object
      com.stc.eways.batchext.LocalFileETD

Direct Known Subclasses:
  BatchLocal

    public class LocalFileETD

extends java.lang.Object

This class is the implementation of Local file ETD.

Constructor Summary
`LocalFileETD()` Constructor

Method Summary
`protected void` | `createStateManager()`
`LocalFileClient` | `getClient()`
`LocalFileConfiguration` | `getConfiguration()` This is a helper method.
`com.stc.connector.management.util.ObjectReference` | `getMonitor()`
`LocalFileETDState` | `getPersistentState()`
`LocalFileProvider` | `getProvider()`
`com.stc.eways.common.eway.standalone.statemanager.StateManager` | `getStateManager()`
`void` | `initialize(java.util.Properties p)` Called by external (collab service) to iniatialize object.
`boolean` | `reset()` Resets the data content of an ETD.
`void` | `setConfiguration(LocalFileConfiguration cfg)`
`void` | `storePersistentState()`
`void` | `terminate()` Terminates the ETD.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalFileETD

    public LocalFileETD()

  Constructor

Method Detail

### initialize

    public void initialize(java.util.Properties p)
                    throws BatchException,
                           BatchCFGException

  Called by external (collab service) to iniatialize object.

  Parameters:
    `cntrCollab` - The Java Collaboration Controller object.
    `key` - The instance name.
    `mode` - The input/output mode.
  Throws:
    `BatchException` - For connection exception.
    `BatchException` - For data exception.
    `BatchCFGException`
  See Also:
    `com.stc.jcsre.ETD`

### reset

    public boolean reset()
                  throws BatchException

  Resets the data content of an ETD.

  Returns:
    `false` if the ETD doesn't have a meaningful implementation of `reset()`; so do a `new` of the ETD instead. Otherwise, return `true` if the reset will clear the data content of the ETD.
  Throws:
    `BatchException` - For connection exception.
    `BatchException` - For data exception.

### terminate

    public void terminate()
                   throws BatchException

  Terminates the ETD.

  Throws:
    `com.stc.common.collabService.BatchException` - thrown when there's an external connection problem
    `BatchException`

### getConfiguration

    public LocalFileConfiguration getConfiguration()

  This is a helper method. There is a node in the LocalFileETD named Configuration, it is used to group the set of configurable parameters.

  Returns:
    An instance of LocalFileConfiguration.

### setConfiguration

    public void setConfiguration(LocalFileConfiguration cfg)

### getClient

    public LocalFileClient getClient()

### getProvider

    public LocalFileProvider getProvider()

### getStateManager

    public com.stc.eways.common.eway.standalone.statemanager.StateManager getStateManager()

### getPersistentState

    public LocalFileETDState getPersistentState()

### storePersistentState

    public void storePersistentState()
                              throws com.stc.eways.common.eway.standalone.statemanager.StateManagerException

  Throws:
    `com.stc.eways.common.eway.standalone.statemanager.StateManagerException`

### getMonitor

    public com.stc.connector.management.util.ObjectReference getMonitor()

### createStateManager

    protected void createStateManager()
                               throws BatchException,
                                      com.stc.eways.common.eway.standalone.statemanager.StatePersistenceException

  Throws:
    `BatchException`
    `com.stc.eways.common.eway.standalone.statemanager.StatePersistenceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD